import React from 'react';
import './index.scss'
import classnames from 'classnames'

const Navigation = ({questions, answer, handleClick, isAnalysis}) => {
  return (
    <div className="navigation">
      <ul>
        {
          !!questions.length && questions.map((item, index) => {
            return <li key={index} onClick={handleClick.bind(this, index)}
                       className={classnames({
                         active: answer && answer[item.id],
                         correct: isAnalysis && item.options.some(item => item.is_ans && item.user_select),
                         error: isAnalysis && item.options.some(item => item.user_select && !item.is_ans),
                       })}>{index + 1}</li>
          })
        }
      </ul>
    </div>
  );
};

export default Navigation;