import React, { Component } from 'react';
import './index.scss'
import { Switch, Route } from 'react-router-dom'
import Scores from './scores'
import Exam from './exam'
import SubmitAnswer from "@components/ai-test/submit-answer"
import Parse from "@components/ai-test/analysis"
import Assist from "@components/ai-test/assist"

class AiTest extends Component {
  render() {
    const {match} = this.props
    return (
      <Switch>
        <Route path={`${match.path}/scores`}>
          <Scores/>
        </Route>
        <Route path={`${match.path}/exam`}>
          <Exam/>
        </Route>
        <Route path={`${match.path}/submit`}>
          <SubmitAnswer/>
        </Route>
        <Route path={`${match.path}/parse/:recordId`}>
          <Parse/>
        </Route>
        <Route path={`${match.path}/assist/:assistCode`}>
          <Assist/>
        </Route>
      </Switch>
    );
  }
}

export default AiTest;